curl --request POST \
--url https://staging.api.us.aptlydone.com/actions/v1/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "6f4da230-fd6e-47c2-be63-a6d51cd0094e",
"actionName": "Review Financial Report",
"actionTypeId": "19434e0c-137f-4ad4-a4d5-b83e23c18e48",
"actionPriorityId": "5c74981f-8e83-4eea-865a-90ff12a7bbf5",
"actionStatusId": "b05add01-4802-4c97-b808-009c2cad9092",
"ownerId": "9a6193b5-5c05-40dc-b854-fb4532e0d7d3",
"assigneeIds": [
"2b1279c0-af87-44d8-9a67-da41d64ee28e"
],
"description": "This action requires reviewing the Q1 financial report.",
"actionTemplateId": "f7ee680c-3699-4e38-8eec-4bcd60746c6c",
"decisionId": "a8144769-6cdc-45da-8e72-5d8ccb8192ee",
"delegationId": "c6bd5aff-54ff-4e65-a027-ff7fd6ad4184",
"documentId": "faea5055-fbea-4333-b513-00ab73c18120",
"dueDate": "2026-01-07T09:17:53.151Z",
"files": [
{
"fileUrl": "https://picsum.photos/seed/R7utRxd8Ng/972/1694",
"fileType": "pdf",
"fileName": "File Name "
}
]
}
'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions"
payload = {
"tenantId": "6f4da230-fd6e-47c2-be63-a6d51cd0094e",
"actionName": "Review Financial Report",
"actionTypeId": "19434e0c-137f-4ad4-a4d5-b83e23c18e48",
"actionPriorityId": "5c74981f-8e83-4eea-865a-90ff12a7bbf5",
"actionStatusId": "b05add01-4802-4c97-b808-009c2cad9092",
"ownerId": "9a6193b5-5c05-40dc-b854-fb4532e0d7d3",
"assigneeIds": ["2b1279c0-af87-44d8-9a67-da41d64ee28e"],
"description": "This action requires reviewing the Q1 financial report.",
"actionTemplateId": "f7ee680c-3699-4e38-8eec-4bcd60746c6c",
"decisionId": "a8144769-6cdc-45da-8e72-5d8ccb8192ee",
"delegationId": "c6bd5aff-54ff-4e65-a027-ff7fd6ad4184",
"documentId": "faea5055-fbea-4333-b513-00ab73c18120",
"dueDate": "2026-01-07T09:17:53.151Z",
"files": [
{
"fileUrl": "https://picsum.photos/seed/R7utRxd8Ng/972/1694",
"fileType": "pdf",
"fileName": "File Name "
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: '6f4da230-fd6e-47c2-be63-a6d51cd0094e',
actionName: 'Review Financial Report',
actionTypeId: '19434e0c-137f-4ad4-a4d5-b83e23c18e48',
actionPriorityId: '5c74981f-8e83-4eea-865a-90ff12a7bbf5',
actionStatusId: 'b05add01-4802-4c97-b808-009c2cad9092',
ownerId: '9a6193b5-5c05-40dc-b854-fb4532e0d7d3',
assigneeIds: ['2b1279c0-af87-44d8-9a67-da41d64ee28e'],
description: 'This action requires reviewing the Q1 financial report.',
actionTemplateId: 'f7ee680c-3699-4e38-8eec-4bcd60746c6c',
decisionId: 'a8144769-6cdc-45da-8e72-5d8ccb8192ee',
delegationId: 'c6bd5aff-54ff-4e65-a027-ff7fd6ad4184',
documentId: 'faea5055-fbea-4333-b513-00ab73c18120',
dueDate: '2026-01-07T09:17:53.151Z',
files: [
{
fileUrl: 'https://picsum.photos/seed/R7utRxd8Ng/972/1694',
fileType: 'pdf',
fileName: 'File Name '
}
]
})
};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.328Z",
"message": "Success",
"data": {
"id": "b6ea6e93-cf04-476f-818b-551b9413e881",
"actionId": "10001",
"tenantId": "7e554f0e-4d95-4638-9fa4-414ac2a185f7",
"actionName": "Review Financial Report",
"description": "This action requires reviewing the Q1 financial report.",
"actionTypeId": "555bd6ef-f595-4001-b0c3-c2bdbab42569",
"actionType": {
"id": "ab85f1e9-82b5-48ae-b225-36e641eb63db",
"tenantId": "08915416-1316-4009-ae23-be6a5ad81924",
"type": "Meeting",
"name": "Meeting",
"typeIcon": "calendar",
"status": true,
"isCustom": false
},
"actionTemplateId": "e546136b-2227-43a5-b2b7-94e803ec8d2a",
"actionTemplate": {
"id": "2795f097-2dc0-4c1c-b36d-78ac44cbc2db",
"tenantId": "b41705a3-90e1-4bec-ba85-94266a3f711e",
"name": "Weekly Status Meeting",
"description": "Template for recurring team status meetings",
"status": true,
"type": {
"id": "ab85f1e9-82b5-48ae-b225-36e641eb63db",
"tenantId": "08915416-1316-4009-ae23-be6a5ad81924",
"type": "Meeting",
"name": "Meeting",
"typeIcon": "calendar",
"status": true,
"isCustom": false
}
},
"actionPriorityId": "f1a69a9e-8c4b-431a-8137-fd925392a892",
"actionStatusId": "49a71424-b882-49a6-a505-8b0e8638f67d",
"decisionId": "0674251a-5401-4242-aade-69a9c5ea78e1",
"decisionDisplayId": "10001",
"delegationId": "2ffa6e47-fae9-43a9-b6ca-01132054a80d",
"delegationDisplayId": "10001",
"documentId": "eeb69abe-eae0-455a-8061-b7eebafc1f78",
"documentDisplayId": "10001",
"roleId": "71294e15-dc2c-4f6a-9760-e54e30f8f69a",
"link": "eyJ0ZW5hbnRJZCI6mZTktMmU5Zi00NDkxLTk5MTctYmFlYWUwY2UwYTQ2In0=",
"ownerId": "5982d167-d35d-4477-86d0-74ece8e7d727",
"owner": {
"id": "a0723133-71b0-4ac7-b64c-303ade18c108",
"email": "[email protected]",
"name": "Mrs. Nicole Dicki",
"displayName": "John Smith",
"profileImageUrl": "https://picsum.photos/seed/B4mHPJLh/283/2368",
"positions": [
{
"id": "9e7d8a5c-9deb-43b7-99e2-bdf1f4b9b741",
"positionName": "Managing Director - North",
"autoProvisioned": false
}
],
"mobilePhone": "987654321",
"primaryOrganizationId": "<string>",
"primaryOrganization": {
"id": "5ed38dca-34b0-4a05-a655-99ac08a0e45e",
"groupName": "engineering-team",
"displayName": "Engineering Team",
"tenantGroupTypeId": "44af7a86-6386-446e-a942-7389c35a4dd8",
"tenantGroupTypeName": "Department",
"legalName": "Engineering Team LLC",
"baseCurrency": "USD"
},
"manager": {
"id": "4faa4d07-6e72-42f8-acf2-4fb64e424449",
"name": "Managing Director - North",
"displayName": "John Doe",
"profileImageUrl": true
}
},
"dueDate": "2025-04-15T14:00:00.000Z",
"createdAt": "2025-03-01T09:00:00.000Z",
"updatedAt": "2025-03-01T09:00:00.000Z",
"createdBy": "name of creator",
"updatedBy": "name of updator",
"deletedOn": "2025-03-01T09:00:00.000Z",
"deletedBy": "name of deletor",
"copiedFrom": "2195ff5b-f0b4-4670-8ea6-ed207a34c947",
"isDeleted": false,
"isSystemGenerated": false,
"assignees": [
{
"id": "3a916c68-9ac8-420b-813a-81e4e4879a0b",
"assigneeId": "6105717d-efb2-47b3-8fae-879413e5a417",
"assignee": {
"id": "a0723133-71b0-4ac7-b64c-303ade18c108",
"email": "[email protected]",
"name": "Mrs. Nicole Dicki",
"displayName": "John Smith",
"profileImageUrl": "https://picsum.photos/seed/B4mHPJLh/283/2368",
"positions": [
{
"id": "9e7d8a5c-9deb-43b7-99e2-bdf1f4b9b741",
"positionName": "Managing Director - North",
"autoProvisioned": false
}
],
"mobilePhone": "987654321",
"primaryOrganizationId": "<string>",
"primaryOrganization": {
"id": "5ed38dca-34b0-4a05-a655-99ac08a0e45e",
"groupName": "engineering-team",
"displayName": "Engineering Team",
"tenantGroupTypeId": "44af7a86-6386-446e-a942-7389c35a4dd8",
"tenantGroupTypeName": "Department",
"legalName": "Engineering Team LLC",
"baseCurrency": "USD"
},
"manager": {
"id": "4faa4d07-6e72-42f8-acf2-4fb64e424449",
"name": "Managing Director - North",
"displayName": "John Doe",
"profileImageUrl": true
}
},
"actionStatusId": "8e517be4-9762-4d8c-9654-b8213f81fc25",
"actionStatusName": "TO DO",
"actionTakenDate": "2025-03-10T09:00:00.000Z"
}
],
"files": [
{
"id": "995c98c5-9751-4276-be10-e6d517d6ef15",
"fileUrl": "https://storage.example.com/files/report.pdf",
"fileType": "pdf",
"fileName": "fileName",
"createdAt": "2025-03-05T14:30:00.000Z"
}
],
"priority": {
"id": "ac8c73c0-134a-4226-8123-55dc97761b19",
"actionPriorityName": "High",
"isEnabled": true,
"colorName": "green"
},
"status": {
"id": "0991e896-9be4-48c2-a188-cbf27956b6e2",
"actionStatusName": "In Progress",
"isEnabled": true
},
"permissions": [
{
"allowed": true,
"relationship_key": "<string>"
}
]
}
}Create action
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tenant ID
"6f4da230-fd6e-47c2-be63-a6d51cd0094e"
Action name
"Review Financial Report"
Action type ID
"19434e0c-137f-4ad4-a4d5-b83e23c18e48"
Action priority ID
"5c74981f-8e83-4eea-865a-90ff12a7bbf5"
Action status ID
"b05add01-4802-4c97-b808-009c2cad9092"
Owner ID
"9a6193b5-5c05-40dc-b854-fb4532e0d7d3"
Assignee IDs
["2b1279c0-af87-44d8-9a67-da41d64ee28e"]
Action description
"This action requires reviewing the Q1 financial report."
Action template ID
"f7ee680c-3699-4e38-8eec-4bcd60746c6c"
Decision ID
"a8144769-6cdc-45da-8e72-5d8ccb8192ee"
Delegation ID
"c6bd5aff-54ff-4e65-a027-ff7fd6ad4184"
Document ID
"faea5055-fbea-4333-b513-00ab73c18120"
Due date
"2026-01-07T09:17:53.151Z"
Files
Show child attributes
Show child attributes
Response
Action created successfully
Was this page helpful?